Uploaded image for project: 'Appcelerator Studio'
  1. Appcelerator Studio
  2. TISTUD-9214

Appcelerator Studio Does not Detect iOS / Xcode or Android SDK

    Details

      Description

      Started about a week ago, Appcelerator Studio does not detect that there is a iOS / Xcode or Android SDK installed. Has grayed out run boxes, dashboard always asks to install iOS / Xcode or Android SDK.

      It gives me this error when I try to install Xcode from dashboard or under the iOS section of preferences for studio.

      Could not detect a valid SDK with version '6' or higher at '/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs'
      

      This is happening both with Studio 5.1.4 and the RC of 6.0.0. Using Xcode 11.3.1 or 11.4. If I remove everything from Mac, restart then reinstall everything it will work fine for 1 launch then stop working. I am able to build via terminal just fine with appc commands so the install is working, only Studio is giving issues.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                cwilliams Christopher Williams
                Reporter:
                dlewis23 Donovan Lewis
              • Watchers:
                13 Start watching this issue

                Dates

                • Created:
                  Updated: